<div class="card session-card z-depth-5">
    <div class="card-content">
        <span class="card-title">Inicio de sesión</span>
        <form class="row">
            <div class="input-field col s12">
                <i class="material-icons prefix">email</i>
                <input [(ngModel)]="correo" name="correo" id="icon_prefix" type="email" class="validate" [disabled]="disablingInputs" >
                <label for="icon_prefix">Correo:</label>
            </div>
            <div class="col s12">
                <app-password-input [(password)]="passReal" [options] = "optionsPass" [disabled]="disablingInputs"></app-password-input>
            </div>
            <div class="col s12">
                <label>
                    <input type="checkbox" class="filled-in"  [disabled]="disablingInputs"/>
                    <span>Recuérdame</span>
                </label>
            </div>
        </form>
        <div *ngIf="message && message != '' " class= "error_block col s12">
            <div class ="error_mesage"> {{ message }} </div> 
         </div>
        <div *ngIf="disablingInputs" class="progress">
            <div class="indeterminate"></div>
        </div>
    </div>
    <div class="card-action right-align">
        <a class="waves-effect waves-light btn" (click)="login()">
            <i class="material-icons right">chevron_right</i>
            Entrar
        </a>
    </div>
</div>